function [SA,SV,SE,DV,DE] = hist2d_params2(vstup)

% Funkce pro výpočet dalších 5 příznaků z dvojrozměrného histogramu z LBP
% Vstupy funkce:
% vstup - histogram
% Výstupy funkce:
% SA - souhrnný průměr
% SV - souhranná variance
% SE - souhranná energie
% DV - diferenční rozptyl
% DE - diferenční energie

[radku sloupcu] = size(vstup);
SV = 0;
SA = 0;
SE = 0;
DE = 0;
DA = 0;
DV = 0;
[r c v] = find(vstup);
k = r+c;
k2= abs(r-c)+1;

XplusY = zeros(1,radku+sloupcu);
XminusY = zeros(1,max(radku,sloupcu));
for i=2:(radku+sloupcu)
    XplusY(i) = sum(v(find(k==i))); 
end
for i=1:max(radku,sloupcu)
    XminusY(i) = sum(v(find(k2==i))); 
end

for i =2:(radku+sloupcu)
    SA = SA + i*XplusY(i);
    SE = SE - XplusY(i)*log_zero(XplusY(i));  
end

for i =2:(radku+sloupcu)
    SV = SV + ((i-SA)^2)* XplusY(i);  
end

for i =1:max(radku,sloupcu)
    DA = DA + (i-1)*XminusY(i);
    if XminusY(i) ~=0
     DE = DE + XminusY(i)*log_zero(XminusY(i));
    end
end

for i =1:max(radku,sloupcu)
    DV = DV + ((i-1-DA)^2)* XminusY(i);  
end

DE = -DE;
